NBFS2TGA(1)

NAME
nbfs2tga - Nintendo raw NBFS image to TGA converter

SYNOPSIS
nbfs2tga [options] nbfs nbfp tga [width [height]]

DESCRIPTION
nbfs2tga converts Nintendo's raw NBFS images into common TGA images. Both an NBFS file, containing the pixel data, and an NBFP file with the palette data are needed. If no height is specified, it is calculated using the width value and the size of the NBFS file. If no width is specified either, this tool tries to guess the dimensions. It might guess the wrong dimensions.

OPTIONS
-h
- -help
    Show a help text and exit.
- -version
    Show version information and exit.
nbfs
    The name of the NBFS file to read. The NBFS contains the pixel graphics part of the image.
nbfp
    The name of the NBFP file to use. The NBFP file contains the palette part of the image.
tga The resulting TGA file will be written there.
width
    The width of the NBFS image.
height
    The height of the NBFS image.

EXAMPLES
Convert an NBFS+NBFP into a TGA and specify dimensions:

    $ nbfs2tga a.nbfs a.nbfp a.tga 64 64

Convert an NBFS+NBFP into a TGA and only specify width:

    $ nbfs2tga a.nbfs a.nbfp a.tga 64

Convert an NBFS+NBFP into a TGA and guess image dimensions:

    $ nbfs2tga a.nbfs a.nbfp a.tga

SEE ALSO
More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.